roar_vs_meta(3)

NAME
roar_vs_meta - Update meta data for a stream

SYNOPSIS

#include <roaraudio.h>

int roar_vs_meta (roar_vs_t * vss, struct roar_keyval * kv, size_t len, int * error);

DESCRIPTION
This function updates meta data of the stream. This should be done before any read or write operation and can be used at any time to update the meta data.

PARAMETERS

vss The VS object to be updated.

kv  An array of meta data elements.

len Length of array kv.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES

 struct roar_keyval kv[2] = {
  {.key = "TITLE", .value = "Some title"},
  {.key = "ARTIST", .value = "Some artist"}
 };
 ret = roar_vs_meta(vss, &kv, 2, &err);

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).